﻿@model IEnumerable<ALK.Models.ProductOrder>

@{
    ViewBag.Title = "Index";
}

<h2>My Order</h2>

<table class="table">
    <tr>
        <th>
            Products
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Qty)
        </th>
        <th>
            Price
        </th>
        <th>
            Seller
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                <a href="@Url.Action("Details", "ProductList", new { id = item.ProductId })">@Html.DisplayFor(modelItem => item.Product.ProductName)</a>
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Qty)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.PaymentAmount)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Product.AspNetUser.DisplayName)
            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new { id = item.Id }) |
                @*@Html.ActionLink("Details", "Details", new { id = item.Id }) |*@
                @Html.ActionLink("Delete", "Delete", new { id = item.Id })
            </td>
        </tr>
    }
</table>

@if (ViewBag.TotalAmount != null)
{
    <p>Total Amount to pay @ViewBag.TotalAmount</p>
    <div><a href="@Url.Action("Index", "ProductOrders", new { id = 1 })">To pay by invoice</a></div>
    @*<a href="@Url.Action("Index", "ProductOrders", new { id = 1 })">@Html.DisplayFor(modelItem => item.Product.ProductName)</a>*@
    <a href="#">To pay by BankLink</a>
}
